/* shopping_cart.css */

.cart_header h2 {
	color         : #FFFFFF;
	font-size     : 48px;
	font-weight   : bold;
	letter-spacing: 0;
	line-height   : 52px;
	text-align    : center;
	text-transform: uppercase;
	z-index       : 1;
}

.cart_title .number_circle {
	color    : #fff;
	font-size: 16px;
	display  : inline-block;
}

.number_circle.active {
	background-color: #D71920;
}

.cart_title_text {
	position: relative;
	z-index : 1;
}

.number_circle {
	line-height  : 0px;
	border-radius: 50%;
	margin-left  : 10px;
	bottom       : 35px;
	right        : 34px;
	position     : relative;
	z-index      : 0;
}

.number_circle span {
	display       : inline-block;
	padding-top   : 50%;
	padding-bottom: 50%;
	margin-left   : 15px;
	margin-right  : 15px;
}

.panier h2 {
	color         : #2E2E2C;
	font-family   : Montserrat;
	font-size     : 33px;
	font-weight   : bold;
	letter-spacing: 0;
	line-height   : 40px;
	position      : relative;
	z-index       : 0;
	text-transform: uppercase;
	margin-bottom : 60px;
}

section .panier .number_circle {
	color    : #fff;
	font-size: 16px;
	display  : block;
	top      : -10px;
	left     : 109px;
	position : absolute;
	z-index  : -1;
}

.product_img img {
	height    : 216px;
	width     : 265px;
	object-fit: cover;
}

table.table-panier tbody td {
	border-left   : none;
	border-right  : none;
	background    : none;
	color         : #2E2E2C;
	font-size     : 22px;
	font-weight   : 500;
	letter-spacing: 0;
	border        : none;
	line-height   : 27px;
	max-width     : 210px;
	padding       : 40px 0;
}

table.table-panier thead th:nth-child(2),
table.table-panier thead th:nth-child(3),
table.table-panier thead th:nth-child(4),
table.table-panier thead th:nth-child(5),
table.table-panier tbody td:nth-child(2),
table.table-panier tbody td:nth-child(3),
table.table-panier tbody td:nth-child(4),
table.table-panier tbody td:nth-child(5) {
	white-space: unset;
}

table.table-panier tbody tr:not(:first-child) {
	border-top   : 1px solid #D6D6D6;
	border-bottom: none;
	border-left  : none;
	border-right : none;
}

td.detail_produit a {
	color         : #D71920;
	font-family   : Montserrat;
	font-size     : 18px;
	font-weight   : 500;
	letter-spacing: 0;
	line-height   : 22px;
	border-bottom : 1px solid #D71920;
	padding-bottom: 8px;
}

.panier {
	color         : #FFFFFF;
	font-size     : 18px;
	vertical-align: middle;
	margin-right  : auto;
	display       : flex;
}

.detail_produit a i {
	font-size: 16px;
}

.table-panier input {
	color     : #2E2E2C;
	width     : 50px;
	border    : none;
	height    : 50px;
	text-align: center;
}

.table-panier input[type=number]::-webkit-inner-spin-button,
.table-panier input[type=number]::-webkit-outer-spin-button {
	-webkit-appearance: none;
	margin            : 0;
}

.quantity input:focus {
	outline: 0;
}

.cart_content {
	background-color: #F4F4F4;
	padding         : 50px 0;
}

.quantity_button {
	position        : relative;
	cursor          : pointer;
	width           : 30px;
	text-align      : center;
	color           : #D71920;
	font-weight     : lighter;
	font-size       : 25px;
	border-radius   : 50%;
	background-color: #fff;
	display         : inline-block;
	height          : 30px;
	line-height     : 30px;
	margin          : 5px;
	top             : 5px;
}

.quantity {
	position: relative;
	width   : 80%;
	margin  : 0 auto;
}

.delete_from_cart {
	stroke: #979797;
}

.delete_from_cart:hover {
	stroke: #D71920;
}

.table-panier input[type=number] {
	-moz-appearance: textfield;
}

td.suppProduit i {
	font-size  : 30px;
	font-weight: bold;
	color      : #000;
	text-align : right;
}

.table>tbody>tr>td,
.table>tfoot>tr>td {
	vertical-align: middle;
}

.table-hover tbody tr:hover {
	color           : inherit;
	background-color: inherit;
}

.total {
	padding: 30px;
}

.total table {
	width         : 100%;
	font-size     : 22px;
	text-transform: uppercase;
}

.total table tr:not(:last-child) {
	border-bottom: 1px solid #5C5C5C;
}

.total table tr td {
	padding: 20px;
}

.boutonCommande {
	border-radius   : 8px;
	background-color: #2E2E2C;
	width           : 30%;
	padding         : 20px;
	line-height     : 40px;
	letter-spacing  : 4px;
	color           : #fff;
	text-align      : center;
	margin          : 125px auto;
	border          : none;
	display         : block;
	text-transform  : uppercase;
}

td.image_produit {
	padding-left: 0;
	width       : 280px;
}

td.image_produit img {
	height    : 200px;
	object-fit: cover;
	margin    : 0 20px 0 0;
	width     : 100%;
}

.limited_edition {
	color         : #D71920;
	font-family   : Montserrat;
	font-size     : 14px;
	font-weight   : bold;
	letter-spacing: 4px;
	line-height   : 18px;
	text-transform: uppercase;
}

td.text-left p {
	color         : #212336;
	font-size     : 18px;
	font-weight   : 500;
	letter-spacing: 0;
	line-height   : 26px;
	margin        : auto 80px;
	text-transform: uppercase;
}

.sku {
	opacity       : 0.5;
	color         : #212336;
	font-size     : 11px !important;
	letter-spacing: 0.37px;
	line-height   : 22px;
}

.recalculate_cart_qty {
	font-size     : 14px;
	color         : black;
	text-transform: uppercase;
	margin        : 5px auto;
	position      : relative;
	display       : block;
}

.recalculate_cart_qty:hover {
	color      : #D71920;
	font-weight: bold;
}

.cart_button {
	margin: 80px 0;
}

.cart_header {
	background-color: #212336;
	height          : 40vh;
}

.submit_button {
	background-color: #D71920;
	border          : 1px solid;
	width           : 100%;
	margin          : 30px 0;
	text-transform  : uppercase;
	color           : #fff;
	display         : block;
	text-align      : left;
}


td.empty_cart {
	text-align       : center;
	border           : none;
	/* padding-bottom: 100px !important; */
}

table.table-panier {
	margin-bottom: 0;
}

.disabled {
	border          : 1px solid #999999;
	background-color: #cccccc;
	color           : #666666;
	pointer-events  : none;
}

@media screen and (max-width: 1220px) {
	.cart_header {
		background-color: #000;
		height          : auto;
	}

	.cart_content {
		background-color: #F4F4F4;
		padding-top     : 30px;
	}

	.cart_title_text {
		font-size     : 23px;
		font-weight   : bold;
		letter-spacing: 0;
		text-align    : center;
	}

	.cart_title .number_circle {
		color    : #fff;
		font-size: 18px;
		display  : inline-block;
	}

	.number_circle {
		bottom: 17px;
	}

	.number_circle span {
		display       : inline-block;
		padding-top   : 50%;
		padding-bottom: 50%;
		margin-left   : 10px;
		margin-right  : 10px;
	}

	table#cart tbody td .form-control {
		width  : 20%;
		display: inline !important;
	}

	.total table tr td {
		padding   : 15px 0;
		text-align: center;
	}

	td.right {
		text-align: right !important;
	}

	.quantity {
		margin: 20px auto;
	}

	.total table {
		font-size: 18px;
	}

	.boutonCommande {
		width: 70%;
	}

	table {
		border-collapse: collapse;
		width          : 100%;
		text-align     : center;
	}

	td.image_produit img {
		height    : 300px;
		object-fit: cover;
		margin    : 0 20px 0 0;
		width     : 100%;
	}

	.actions .btn {
		width : 36%;
		margin: 1.5em 0;
	}

	.actions .btn-info {
		float: left;
	}

	.actions .btn-danger {
		float: right;
	}

	table#cart thead {
		display: none;
	}

	table#cart tbody td {
		display: block;
		padding: .6rem;
		width  : 100%;
		margin : 20px auto;
	}

	table#cart tfoot td {
		display: block;
	}

	td.product_img {
		border: none;
	}

	table#cart tfoot td .btn {
		display: block;
	}

	/* td.suppProduit i {
		position: absolute;
		right: 10px;
		bottom: 74px;
	} */
	td.suppProduit {
		position: relative;
	}

	table.table-panier tbody td {
		max-width: 100%;
	}

	/* td.empty_cart {
		padding-bottom: 0!important;
	} */
}

@media screen and (max-width: 480px) {
	.boutonCommande {
		width    : 90%;
		font-size: 14px;
		margin   : 60px auto;
	}

	td.text-left p {
		margin: 0 auto;
	}

	table.table-panier tbody td {
		min-width: 0px;
	}

	.panier {
		display     : flex;
		margin-right: 0;
	}

	.quantity {
		width : 100%;
		margin: 20px auto;
	}
}